#include <iostream>
#include <stdexcept>

class Resource {
public:
    Resource(int id) {
        if (id < 0) {
            throw std::invalid_argument("Invalid resource ID");
        }
        std::cout << "Resource " << id << " acquired" << std::endl;
    }

    ~Resource() {
        std::cout << "Resource released" << std::endl;
    }
};

int main() {
    try {
        Resource r1(1);  // Valid resource
        Resource r2(-1); // This will throw
    } catch (const std::exception& e) {
        std::cerr << "Error: " << e.what() << std::endl;
    }

    return 0;
}
